import time
import zmq
import datastruct_pb2
from google.protobuf import json_format

context = zmq.Context()
socket = context.socket(zmq.ROUTER)
socket.bind("tcp://*:5555")

while True:
    # wait for next request from client
    message = socket.recv_multipart()
    print("Recived request :%s " % message)
    #Do some work
    time.sleep(1)
    socket.send(b"word");

